## com.crystaldecisions.sdk.occa.report.data
Class Values

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  com.crystaldecisions.sdk.occa.report.lib.ReportSDKVector
                      com.crystaldecisions.sdk.occa.report.data.Values

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, IClone, java.util.List, java.util.RandomAccess, java.io.Serializable

public class Values
extends ReportSDKVector
implements IClone

This object defines a collection that contains an array of `Value` objects and allows you to add, remove, search for, and add new values to and from the collection.

See Also:
  Serialized Form

Constructor Summary
`Values()`
`Values(Values src)`

Method Summary
`void` | `add(double dValue)` Appends the specified `double` value to the end of this collection.
`void` | `add(double beginValue, RangeValueBoundType lowerBoundType, double endValue, RangeValueBoundType upperBoundType)` Creates an instance of an `IParameterFieldRangeValue` object using the specified discrete values as bounds and appends it to the end of the collection.
`void` | `add(int index, java.lang.Object element)` Inserts the specified element at the specified position in this collection.
`boolean` | `add(java.lang.Object o)` Appends the specified element to the end of this collection.
`void` | `add(java.lang.Object beginValue, RangeValueBoundType lowerBoundType, java.lang.Object endValue, RangeValueBoundType upperBoundType)` Creates an instance of an `IParameterFieldRangeValue` object using the specified bounds and appends it to the end of the collection.
`void` | `add(java.lang.String sValue)` Appends the specified `String` to the end of this collection.
`java.lang.Object` | `createMember(java.lang.String eleName, org.xml.sax.Attributes attrs, XMLSerializationContext ctxt, java.util.Map objState, boolean[] bLoaded)` For internal use only.
`void` | `endElement(java.lang.String eleName, java.util.Map objState)` For internal use only.
`IValue` | `getValue(int index)` Returns the `IValue` object at the specified index.
`void` | `readElement(java.lang.String eleName, java.lang.String sVal, org.xml.sax.Attributes attrs, java.util.Map objState)` For internal use only.
`void` | `save(XMLWriter writer, java.lang.String sTag, XMLSerializationContext ctxt)` For internal use only.
`void` | `save(XMLWriter writer, XMLSerializationContext ctxt)` For internal use only.
`void` | `saveContents(XMLWriter writer, XMLSerializationContext ctxt)` For internal use only.
`void` | `startElement(java.lang.String eleName, java.util.Map objState, org.xml.sax.Attributes attrs)` For internal use only.

Methods inherited from class com.crystaldecisions.sdk.occa.report.lib.ReportSDKVector
`addElement, clone, copyTo, elementAt, findIndexOf, hasContent, insertElementAt, removeAllElements`

Methods inherited from class java.util.ArrayList
`addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.crystaldecisions.sdk.occa.report.lib.IClone
`clone, copyTo, hasContent`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### Values

    public Values(Values src)

### Values

    public Values()

Method Detail

### add

    public void add(java.lang.String sValue)

  Appends the specified `String` to the end of this collection.

  Parameters:
    `sValue` - The `String` to be added to the collection.

### add

    public void add(double dValue)

  Appends the specified `double` value to the end of this collection.

  Parameters:
    `dValue` - The `double` to be added to the collection.

### getValue

    public IValue getValue(int index)

  Returns the `IValue` object at the specified index.

  Parameters:
    `index` - The index of the desired `IValue` object.
  Returns:
    The `IValue` object at the specified index.

### readElement

    public void readElement(java.lang.String eleName,
                            java.lang.String sVal,
                            org.xml.sax.Attributes attrs,
                            java.util.Map objState)

  For internal use only.

### add

    public void add(double beginValue,
                    RangeValueBoundType lowerBoundType,
                    double endValue,
                    RangeValueBoundType upperBoundType)

  Creates an instance of an `IParameterFieldRangeValue` object using the specified discrete values as bounds and appends it to the end of the collection.

  Parameters:
    `beginValue` - A `double` specifying the lower-bound value of the `IParameterFieldRangeValue` instance that will be added to the collection.
    `lowerBoundType` - Specifies the type of bound to use for the lower-bound value. This can be unbounded, inclusive, or exclusive.
    `endValue` - A `double` specifying the upper-bound value of the `IParameterFieldRangeValue` instance that will be added to the collection.
    `upperBoundType` - Specifies the type of bound to use for the upper-bound value. This can be unbounded, inclusive, or exclusive.
  See Also:
    `RangeValueBoundType`

### add

    public void add(java.lang.Object beginValue,
                    RangeValueBoundType lowerBoundType,
                    java.lang.Object endValue,
                    RangeValueBoundType upperBoundType)

  Creates an instance of an `IParameterFieldRangeValue` object using the specified bounds and appends it to the end of the collection.

  Parameters:
    `beginValue` - The lower-bound value of the `IParameterFieldRangeValue` instance that will be added to the collection.
    `lowerBoundType` - Specifies the type of bound to use for the lower-bound value. This can be unbounded, inclusive, or exclusive.
    `endValue` - The upper-bound value of the `IParameterFieldRangeValue` instance that will be added to the collection.
    `upperBoundType` - Specifies the type of bound to use for the upper-bound value. This can be unbounded, inclusive, or exclusive.
  See Also:
    `RangeValueBoundType`

### createMember

    public java.lang.Object createMember(java.lang.String eleName,
                                         org.xml.sax.Attributes attrs,
                                         XMLSerializationContext ctxt,
                                         java.util.Map objState,
                                         boolean[] bLoaded)

  For internal use only.

### endElement

    public void endElement(java.lang.String eleName,
                           java.util.Map objState)

  For internal use only.

### save

    public void save(XMLWriter writer,
                     java.lang.String sTag,
                     XMLSerializationContext ctxt)
              throws java.io.IOException

  For internal use only.

  Throws:
    `java.io.IOException`

### save

    public void save(XMLWriter writer,
                     XMLSerializationContext ctxt)
              throws java.io.IOException

  For internal use only.

  Throws:
    `java.io.IOException`

### saveContents

    public void saveContents(XMLWriter writer,
                             XMLSerializationContext ctxt)
                      throws java.io.IOException

  For internal use only.

  Throws:
    `java.io.IOException`

### add

    public boolean add(java.lang.Object o)

  Appends the specified element to the end of this collection.

  Note: Only instances of the `IValue` interface can be added to a `Values` collection.

  Specified by:
    `add` in interface `java.util.List`
  Parameters:
    `o` - element to be added to the collection.
  Returns:
    `true` if this collection changed as a result of the call.
  Throws:
    `java.lang.ClassCastException` - if the class of the specified element prevents it from being added to this collection.
    `java.lang.NullPointerException` - if the specified element is `null` and this collection does not support null elements.

### add

    public void add(int index,
                    java.lang.Object element)

  Inserts the specified element at the specified position in this collection. Shifts the element currently at that position (if any) and any subsequent elements to the right, adding one to their indices.

  Specified by:
    `add` in interface `java.util.List`
  Parameters:
    `index` - The index at which the specified element will be inserted.
    `element` - The element to be inserted.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if index is out of range `(index < 0 || index > size())`.
    `java.lang.ClassCastException` - class of the specified element prevents it from being added to this collection.
    `java.lang.NullPointerException` - if the specified element is null and this collection does not support null elements.

### startElement

    public void startElement(java.lang.String eleName,
                             java.util.Map objState,
                             org.xml.sax.Attributes attrs)

  For internal use only.